mixin pagination(count, current)
	- var pages = []
	- var lastPage = count
	- var prevPage = current - 1
	- var nextPage = current + 1

	//- Предыдущая страница
	if prevPage > 0
		- pages.push(prevPage)

	//- Текущая страница
	- pages.push(current)

	//- Следующая страница
	if nextPage <= lastPage
		- pages.push(nextPage)

	//- Остальные страницы
	if lastPage > nextPage
		if lastPage - nextPage > 1
			- pages.push('...')
		- pages.push(lastPage)

	ul.pagination
		if current > 1
			li.pagination-prev: a(href="#0") Предыдущая
		each i in pages
			if i == current
				li.current #{i}
			else if i == '...'
				li.ellipsis
			else
				li: a(href="#0") #{i}
		if current < lastPage
			li.pagination-next: a(href="#0") Следующая